# Class CIM_PolicySetInSystem
extends CIM_PolicyInSystem

PolicySetInSystem is an abstract association class that represents a relationship between a System and a PolicySet used in the administrative scope of that system (e.g., AdminDomain, ComputerSystem). The Priority property is used to assign a relative priority to a PolicySet within the administrative scope in contexts where it is not a component of another PolicySet.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_HostedDependency
|
+--CIM_PolicyInSystem
|
+--CIM_PolicySetInSystem

## Direct Known Subclasses

CIM_PolicyGroupInSystem
CIM_PolicyRuleInSystem

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Abstract | boolean | true
Association | boolean | true
Description | string | PolicySetInSystem is an abstract association class that represents a relationship between a System and a PolicySet used in the administrative scope of that system (e.g., AdminDomain, ComputerSystem). The Priority property is used to assign a relative priority to a PolicySet within the administrative scope in contexts where it is not a component of another PolicySet.
UMLPackagePath | string | CIM::Policy
Version | string | 2.6.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
Priority | uint16 |
Description | string | The Priority property is used to specify the relative priority of the referenced PolicySet when there are more than one PolicySet instances applied to a managed resource that are not PolicySetComponents and, therefore, have no other relative priority defined. The priority is a non-negative integer; a larger value indicates a higher priority.

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_PolicySetInSystem | CIM_System
Dependent | CIM_PolicySetInSystem | CIM_PolicySet

## Class Methods